.xdebug-error.xe-warning {
display:none;
}

/* General Scrollbar Styling */
*::-webkit-scrollbar {
  width: 6px; /* Adjust width as needed */
}
*::-webkit-scrollbar-track {
  background: #999; /* Track color */
  border-radius: 6px; 
}
*::-webkit-scrollbar-thumb {
  background: #EB0000; /* Thumb color */
  border-radius: 6px;
}
/* Hover Effect (Optional) */
*::-webkit-scrollbar-thumb:hover {
  background: #EB0000; /* Hover color */
}





::placeholder,
input::placeholder,
.form-control::placeholder {
	color: #ddd;
	opacity: 1;
}

pre {color: #999999;}






html,body{
  scrollbar-color: rgb(235, 0, 0) rgb(0, 0, 0) !important;
  scrollbar-width: thin;
}

body { 
  font-family: Noto Sans, Inter, system-ui 
}

.bg-primary-blue {
  background-color: rgba(0,100,210,1);
}
.key-benefits {
  font-size: 18px;
}
.key-benefits > .container > div > ul {
  padding-left: 1rem;
}








/* HEADER */

header {
  font-size: 12px;
}

header .header-misc {
  margin-left:7px;
}
header .header-misc,
header .header-misc-icon > a {
  color: #FFFFFF;
}
header .header-misc ul {
  padding-left:0;
}
header .header-misc-element, .header-misc-icon {
  margin: 0 8px;
}

header nav a,
header nav .btn.sm,
header .nav-item {
  padding-right: 0.5rem;
  padding-left: 0.5rem;  
}
header .header-wrap-overlay {
  clip-path: polygon(65% 0, 100% 0, 100% 100%, 65% 100%);
  background-color: #e61e1e;
  width: 100%;
  height: var(--cnvs-header-height);
  position: absolute;
  top:0;
  left:0;
  transition: height 0.2s ease 0s, background-color 0.3s ease 0s;
}
header .container .header-row {
  position: relative;
  background-color: #fff;
}
header .container .header-row > div {
  z-index: 1;
}
header .container .header-row-overlay {
  clip-path: polygon(26% 0, 100% 0, 100% 100%, 17.5% 100%);
  background-color: #e61e1e;
  width: 100%;
  height: var(--cnvs-header-height);
  position: absolute;
  top:0;
  left:0;  
  transition: height 0.2s ease 0s, background-color 0.3s ease 0s;
  z-index: 0 !important;
}

header.sticky-header.sticky-header-shrink .header-wrap-overlay,
header.sticky-header.sticky-header-shrink .header-row-overlay {
  height: var(--cnvs-header-height-shrink); 
}

header .header-row .logo-wrapper {
  padding-left:10px;
}

header .user-dropdown-menu  {
    padding-right: 10px;
}
header .user-dropdown-menu button:hover,
header .user-dropdown-menu button:active  {
    background-color: transparent;
}


@media only screen and (max-width: 991px) { 
  header .container .header-row-overlay {
    clip-path: polygon(55% 0, 100% 0, 100% 100%, 45% 100%);
    background-color: #e61e1e;
  }

}  

header .menu-link {
  font-size: 14px;
  text-transform: none;
  font-family: Noto Sans, Inter, system-ui;
}
header .menu-link {
  color: #ffffff;
}
header .menu-item:hover > .menu-link,
header .menu-link:hover {
    color: #ffffff;
}
/*
header .primary-menu > .menu-container > .menu-item:hover > .menu-link > div:after {
  width: 100%;;
  height: 100%;
  content: '';
  border-bottom: 1px solid #FFF;  
}
*/
header .menu-item.current-parent > .menu-link,
header .menu-item.current > .menu-link {
  color: #ffffff;
  background-color: #0064c8;
}
header .menu-item.current-parent > .menu-link > div,
header .menu-item.current > .menu-link > div {
  color: #ffffff;
  /* border-bottom: 1px solid #FFF; */
}






body.top-search-open header .container .header-row-overlay {
  background-color: #FFFFFF;
}



/* FOLDED MENU */

@media only screen and (max-width: 1199.98px) {
  body:not(.top-search-open) .top-search-parent .primary-menu {
    background-color: #e61e1e;
  }
  body:not(.top-search-open) .top-search-parent .primary-menu .menu-link {
    color:#fff;
    font-size: 0.90rem;
    font-weight: 500;
  }

  body:not(.top-search-open) .top-search-parent .primary-menu .menu-item .sub-menu-trigger {
    color: #fff;
    top:0;
    height:50px;
    width:50px;
  }
  body:not(.top-search-open) .top-search-parent .primary-menu > ul {
    padding:0;
  }

  body.top-search-open header .header-wrap-overlay {
    clip-path: none;
    background-color: #e61e1e;
  }


  header .sub-menu-container .menu-item > .menu-link {
    color: #000000;
  }
  .menu-item .sub-menu-trigger {
    color: #000000;
  }
  header .header-misc > a {
    color: #fff;
  }
  header .header-misc ul a {
    color: #000000;
  }
  header .top-search-form {
    background-color: #fcfcfc;
    padding:10px;
  }

  
}




/* FOOTER */

.footer {
  color: #ffffff;
  background-color:#0064C8;
  margin:0;
  padding: 0;
}
.footer #copyrights {
  background-color:#434343;
  padding-top:10px;
  padding-bottom:10px;
}

.footer, .footer .widget_links, .footer .widget_links a {
  font-size: 0.9rem;
}

.pagination-wrapper dt, .pagination-wrapper dd {
  display: inline-block;
}
.pagination-wrapper dd {
  margin-bottom: 0rem;
  margin-left: 0;
}
dd {
  margin-bottom: .5rem;
  margin-left: 0;
}


/* PAGINATION */
.pagination {
  display: flex;
  padding-left: 0;
  list-style: none;
  border-radius: 0.25rem;
  margin: 0;
  padding: 0;
}
.pagination-sm {
  --bs-pagination-padding-x: 0.5rem;
  --bs-pagination-padding-y: 0.25rem;
  --bs-pagination-font-size: 0.875rem;
  --bs-pagination-border-radius: var(--bs-border-radius-sm);
}





/* PRODUCT PAGE */ 


.product-top-banner-slider .product-banner-image-shape::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  /*
  padding-right: calc(var(--bs-gutter-x)*.5);
  padding-left: calc(var(--bs-gutter-x)*.5);
  margin-right: auto;
  margin-left: auto;
  */
  height: 100%;
  clip-path: polygon(0 0, 17.5% 0%, 70% 100%, 0 100%);
  background-color: rgb(248, 248, 248);
  display:block;
}

@media only screen and (max-width: 991px) {
  .product-top-banner-slider .product-banner-image-shape::before {
    clip-path: none;
    background-color: inherit;
    /* clip-path: polygon(0 0, 43% 0%, 70% 100%, 0 100%); */
 }
}
/*
@media only screen and (max-width: 830px) {
  .product-banner-image-shape::before {    
    clip-path: polygon(0 0, 43% 0%, 70% 100%, 0 100%);
  }
}
*/





.product-applications .slider-item .slider-title {
  font-size:14px; line-height:16px; color:#666;
}


.job .description-wrapper {
  padding: 5px 0 10px;
}
.job .button-wrapper i {
  margin-left: 10px;
}

.job .label {
  font-size:0.85rem;
  color: #666;
}

.w-100px {
  display: inline-block;
  width: 100px;
}
.w-200px {
  display: inline-block;
  width: 200px;
}


.image-description {
  font-size: 0.9rem;
  font-weight: 300;
  font-style: italic;
  color:#666;
  padding:2px 0 5px;
}



/* BLOGS */

.blogs .item .image-wrapper {
  height: 200px;
  overflow: hidden;
  margin-bottom:1.3rem;
}
.blogs .item .image-wrapper div {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: all 1s;
}
.blogs .item:hover .image-wrapper div {
  transform: scale(1.05);
}
.blogs .item:hover .title h2,
.blogs .item:hover .title h3,
.blogs .item:hover .title h4,
.blogs .item:hover .title h5 {
  color:#e61e1e;
  /* text-decoration: underline; */
}
.blogs .entry .entry-title a:hover {
  /* color:initial; */
  text-decoration:none !important;
}



/* PRODUCTS */

.products .item {
  position: relative;
  margin: 2px;
  padding: 0;
}
.products .item .image-wrapper {
  height: 200px;
  overflow: hidden;
  margin-bottom:1.3rem;
}
.products .item .image-wrapper div {
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: all 1s;
}
.products .item .title-box {
  position: absolute;
  /*height:30%;*/
  text-align: left;
  vertical-align: middle;
  padding: 5px;
  /* background-color: #ffffff; */
  /* color: #ffffff; */
  width: 100%;
}
.products .item .title-box h3 {
  font-size: 0.9rem;
  line-height: 1.2rem;
  text-align: center;
}
.products .item .title-box .description {
  font-size: 0.8rem;
  line-height: 1.3rem;
  padding: 0 10px;
}
.products .item .title-box .description ul ul {
  padding-left: 10px;
}
.products .item .no-image {
  position: relative;
  width: 100%;
  height: 100%;
  background-color: #f9f9f9;
}

.products .item:hover .image-wrapper div {
  transform: scale(1.05);
  transition: transform 0.3s ease-in-out;
}
.products .item:hover .title h2,
.products .item:hover .title h3,
.products .item:hover .title h4,
.products .item:hover .title h5 {
  color:#e61e1e;
  /* text-decoration: underline; */
}

.products .item:hover img {
  transform: scale(1.05);
  transition: transform 0.3s ease-in-out;
}

.products .filter .filter-options label:hover {
  color:#e61e1e;
  text-decoration:none !important;
}




.products .item:hover .title {
  color:#e61e1e;
}





/* copied from font-icons.csss */


[class*="fa-"],
[class*=" fa-"],
[class*="bi-"],
[class*=" bi-"],
[class*="uil-"],
[class*=" uil-"] {
	display: inline-block;
	line-height: inherit;
	font-display: swap;
}

[class*="fa-"]::before,
[class*=" fa-"]::before,
[class*="bi-"]::before,
[class*=" bi-"]::before,
[class*="uil-"]::before,
[class*=" uil-"]::before {
	display: inline-flex;
	align-self: center;
	justify-self: center;
	line-height: inherit;
}

.icon-lg {
	font-size: 1.3333333333333333em;
	line-height: 0.75em;
	vertical-align: -15%;
}
.icon-2x {
	font-size: 2em;
}
.icon-3x {
	font-size: 3em;
}
.icon-4x {
	font-size: 4em;
}
.icon-5x {
	font-size: 5em;
}
.icon-fw {
	width: 1.2857142857142858em;
	text-align: center;
}

.icon-border {
	padding: 0.2em 0.25em 0.15em;
	border: solid 0.08em #eeeeee;
	border-radius: 0.1em;
}
.icon.pull-left {
	margin-right: 0.3em;
}
.icon.pull-right {
	margin-left: 0.3em;
}
.icon-spin {
	-webkit-animation: spin 2s infinite linear;
	-moz-animation: spin 2s infinite linear;
	-o-animation: spin 2s infinite linear;
	animation: spin 2s infinite linear;
}
@-moz-keyframes spin {
	0% {
		-moz-transform: rotate(0deg);
	}
	100% {
		-moz-transform: rotate(359deg);
	}
}
@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(359deg);
	}
}
@-o-keyframes spin {
	0% {
		-o-transform: rotate(0deg);
	}
	100% {
		-o-transform: rotate(359deg);
	}
}
@-ms-keyframes spin {
	0% {
		-ms-transform: rotate(0deg);
	}
	100% {
		-ms-transform: rotate(359deg);
	}
}
@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(359deg);
	}
}
.icon-rotate-90 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1);
	-webkit-transform: rotate(90deg);
	-moz-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	-o-transform: rotate(90deg);
	transform: rotate(90deg);
}
.icon-rotate-180 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);
	-webkit-transform: rotate(180deg);
	-moz-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
	transform: rotate(180deg);
}
.icon-rotate-270 {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
	-webkit-transform: rotate(270deg);
	-moz-transform: rotate(270deg);
	-ms-transform: rotate(270deg);
	-o-transform: rotate(270deg);
	transform: rotate(270deg);
}
.icon-flip-horizontal {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=0, mirror=1);
	-webkit-transform: scale(-1, 1);
	-moz-transform: scale(-1, 1);
	-ms-transform: scale(-1, 1);
	-o-transform: scale(-1, 1);
	transform: scale(-1, 1);
}
.icon-flip-vertical {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1);
	-webkit-transform: scale(1, -1);
	-moz-transform: scale(1, -1);
	-ms-transform: scale(1, -1);
	-o-transform: scale(1, -1);
	transform: scale(1, -1);
}
.icon-stacked {
	position: relative;
	display: inline-block;
	width: 2em;
	height: 2em;
	line-height: 2em;
	vertical-align: middle;
}
.icon-stacked-1x,
.icon-stacked-2x {
	position: absolute;
	left: 0;
	width: 100%;
	text-align: center;
}
.rtl .icon-stacked-1x,
.rtl .icon-stacked-2x {
	left: auto;
	right: 0;
}
.icon-stacked-1x {
	line-height: inherit;
}
.icon-stacked-2x {
	font-size: 2em;
}
.icon-inverse {
	color: #ffffff;
}


/* MENU ICONS BI Adjustment */

.is-expanded-menu .menu-link div > i.sub-menu-indicator.bi-caret-down-fill {  
  padding-top: 0px !important;
}
.primary-menu .bi-chevron-right::before {  
  font-weight: 600 !important;
}